Skip to main content
GET
/
flow-runs
/
{id}
/
nodes
/
{nodeKey}
/
runs
Get node runs for flow run
curl --request GET \
  --url https://api.getmembrane.com/flow-runs/{id}/nodes/{nodeKey}/runs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "upstreamRuns": [
        {
          "nodeKey": "<string>",
          "runId": "<string>",
          "outputId": "<string>"
        }
      ],
      "input": {},
      "status": "completed",
      "logs": [
        {}
      ],
      "outputs": [
        {
          "id": "<string>",
          "downstreamRuns": [
            {
              "runId": "<string>",
              "nodeKey": "<string>"
            }
          ]
        }
      ],
      "errors": [
        {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        }
      ]
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
nodeKey
string
required

Query Parameters

cursor
string
required

Response

200 - application/json
items
object[]
required
cursor
string